MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008412Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2005-03-16 14:572019-10-25 16:12
Reportergka 
Assigned To 
PrioritynormalSeveritytrivial 
StatusclosedResolutionno change required 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version 
Summary0008412: Command vprops has invalid volume on attached shape.
DescriptionAttached shape contains 1 solid and a few open faces.
It seems that results of command vprops should be the same for solid and for
compound containing solid and open faces. But command vprops give a different
values:

vprops a_1
Mass : 2446660.65061649
explode a_1 sol
a_1_1
vprops a_1_1
Mass : 2880198.3198756
TagsNo tags attached.
Test case number
Attached Filesgz file icon bugvprops.brep.gz (1,172,285 bytes) 2005-03-16 12:57

- Relationships

-  Notes
(0088602)
abv (manager)
2019-10-25 16:12

Command vprops has been equipped with flag "closed" somewhere before OCCT 6.5.0. If that flag is used, when volume of free faces is reported as 0. The described problem can be avoided by using that flag. There seem to be no much need of testing this flag in DRAW, thus I am just closing the issue.

- Issue History
Date Modified Username Field Change
2005-03-25 09:10 bugmaster Assigned To bugmaster => mkk
2005-03-25 09:10 bugmaster Status new => assigned
2005-03-29 17:19 mkk Assigned To mkk => ofv
2005-04-01 11:44 gka CC => abv
2005-04-01 11:48 bugmaster Assigned To ofv => gka
2005-04-01 15:29 abv CC => mkk
2005-04-01 15:37 gka Status assigned => resolved
2005-06-08 16:41 bugmaster Assigned To gka => mkk
2005-06-08 16:41 bugmaster Status resolved => assigned
2005-09-28 12:02 mkk Assigned To mkk => jgv
2006-01-10 16:32 mkk Assigned To jgv => skv
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2017-09-15 20:03 mkv Test case number => bugs modalg_7 bug8412
2017-09-15 20:03 mkv Note Added: 0070614
2017-09-15 20:03 mkv Assigned To skv =>
2017-09-15 20:03 mkv Fixed in Version EMPTY =>
2017-09-15 20:03 mkv Description Updated View Revisions
2019-10-25 15:59 abv Note Deleted: 0070614
2019-10-25 16:12 abv Test case number bugs modalg_7 bug8412 =>
2019-10-25 16:12 abv Note Added: 0088602
2019-10-25 16:12 abv Status assigned => closed
2019-10-25 16:12 abv Resolution open => no change required


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker